<methodCall>
  <methodName>generic_handler.unpack_pack</methodName>
  <params>
    <param>
      <value>
        <array>
          <data>
            <value>
              <string>&lt;Apples&gt;</string>
            </value>
            <value>
              <string>&amp;Bananas&amp;</string>
            </value>
            <value>
              <string>_Cherries_</string>
            </value>
          </data>
        </array>
      </value>
    </param>
    <param>
      <value>
        <array>
          <data>
            <value>
              <string>Potato</string>
            </value>
            <value>
              <string>Tomato</string>
            </value>
            <value>
              <string>Brocolli</string>
            </value>
          </data>
        </array>
      </value>
    </param>
    <param>
      <value>
        <array>
          <data>
            <value>
              <nil />
            </value>
            <value>
              <int>42</int>
            </value>
            <value>
              <boolean>1</boolean>
            </value>
            <value>
              <double>1.0</double>
            </value>
            <value>
              <dateTime.iso8601>19691231T16:00:00</dateTime.iso8601>
            </value>
            <value>
              <base64>AQIDBA==</base64>
            </value>
            <value>
              <array>
                <data>
                  <value>
                    <string>&lt;Apples&gt;</string>
                  </value>
                  <value>
                    <string>&amp;Bananas&amp;</string>
                  </value>
                  <value>
                    <string>_Cherries_</string>
                  </value>
                </data>
              </array>
            </value>
          </data>
        </array>
      </value>
    </param>
    <param>
      <value>
        <struct>
          <member>
            <name>favorite fruits</name>
            <value>
              <array>
                <data>
                  <value>
                    <string>&lt;Apples&gt;</string>
                  </value>
                  <value>
                    <string>&amp;Bananas&amp;</string>
                  </value>
                  <value>
                    <string>_Cherries_</string>
                  </value>
                </data>
              </array>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodCall>
